import { Component, Input, EventEmitter, Output } from '@angular/core';
import { Observable } from 'rxjs';
var StepperNavbarComponent = /** @class */ (function () {
    function StepperNavbarComponent() {
        this.onItemClick = new EventEmitter();
    }
    StepperNavbarComponent.prototype.selectItem = function (i, j) {
        if (this.navbarList[i] && this.navbarList[i].itemList && this.navbarList[i].itemList[j]) {
            if (this.navbarList[i].itemList[j].disabled
                || (!this.navbarList[i].itemList[j].component)) {
                return;
            }
            this.onItemClick.emit(this.navbarList[i].itemList[j]);
        }
        else {
            this.onItemClick.emit(null);
        }
    };
    StepperNavbarComponent.decorators = [
        { type: Component, args: [{
                    selector: 'stepper-navbar-cmp',
                    template: "\n    <div class=\"s-n-container\" *ngIf=\"navbarList && navbarList.length\">\n      <div class=\"stepper-navbar\" *ngFor=\"let step of navbarList; let i = index;\">\n        <h2 class=\"s-navbar-heading\">{{step.heading}}</h2>\n        <ul class=\"s-navbar\" *ngIf=\"step.itemList\">\n          <li class=\"s-navbar-item\" *ngFor=\"let it of step.itemList; let j = index;\" (click)=\"selectItem(i,j)\" [ngClass]=\"{'active': activeItemId == ('id-'+i+'-'+j), 'disabled': (!it.component || it.disabled)}\">\n            <a>{{it.title}}</a>\n            <span [ngStyle]=\"STATUS_LABELS[it.status].customStyle\">{{STATUS_LABELS[it.status]?.title}}</span>\n          </li>\n        </ul>\n      </div>\n    </div>\n  ",
                    styles: ["\n    .stepper-navbar{display:flex;flex-direction:column}.stepper-navbar .s-navbar-heading{padding:0.25rem;margin:0;font-size:1.2rem}.stepper-navbar .s-navbar{display:flex;flex-direction:column;align-items:stretch;justify-content:center;margin:0 0 1rem 0;padding:0.25rem;list-style:none}.stepper-navbar .s-navbar .s-navbar-item{align-items:center;justify-content:center;padding:0.25rem;cursor:pointer}.stepper-navbar .s-navbar .s-navbar-item.active{background:#FFF;font-weight:bold}.stepper-navbar .s-navbar .s-navbar-item.disabled{color:#CCCCCC}.stepper-navbar .s-navbar .s-navbar-item a{display:block;margin:0;padding:0;font-size:1rem}.stepper-navbar .s-navbar .s-navbar-item span{font-size:0.7rem}\n  "]
                },] },
    ];
    /** @nocollapse */
    StepperNavbarComponent.ctorParameters = function () { return []; };
    StepperNavbarComponent.propDecorators = {
        "navbarList": [{ type: Input },],
        "activeListItem": [{ type: Input },],
        "onItemClick": [{ type: Output },],
        "activeItemId": [{ type: Input },],
        "STATUS_LABELS": [{ type: Input, args: ['statusLabelList',] },],
    };
    return StepperNavbarComponent;
}());
export { StepperNavbarComponent };
//# sourceMappingURL=stepper-navbar.component.js.map